Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.component
[Java] Interface ProjectComponentSelector

    org.gradle.api.artifacts.component.ProjectComponentSelector
      org.gradle.api.artifacts.component.ComponentSelector

All Superinterfaces:
  ComponentSelector

    @Incubating
    public interface ProjectComponentSelector
    extends ComponentSelector

Criteria for selecting a component instance that is built as part of the current build.

Since:
  1.10

Method Summary
`String` | `getProjectPath()` The path of the project to select the component from.

Methods inherited from interface ComponentSelector
getDisplayName, matchesStrictly

Method Detail

### getProjectPath

    public String getProjectPath()

  The path of the project to select the component from.
  Returns:
    Project path
  Since:
    1.10

Gradle API 1.10